- [HTTP request](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.aclPolicies/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.aclPolicies/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.aclPolicies/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.aclPolicies/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.aclPolicies/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.aclPolicies/delete#body.aspect)
- [Examples](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.aclPolicies/delete#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1/projects.locations.aclPolicies/delete#try-it)

Deletes a specific ACL policy. This action will delete the ACL policy and all the rules associated with it. An ACL policy cannot be deleted if it is attached to a cluster.

### HTTP request

`DELETE https://redis.googleapis.com/v1/{name=projects/*/locations/*/aclPolicies/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Redis ACL policy resource name using the form: `projects/{projectId}/locations/{locationId}/aclPolicies/{aclPolicyId}` where `locationId` refers to a Google Cloud region. |

### Query parameters

| Parameters ||
|---|---|
| `requestId` | `string` Optional. Idempotent request UUID. |
| `etag` | `string` Optional. Etag of the ACL policy. If this is different from the server's etag, the request will fail with an ABORTED error. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/redis.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).